package com.ho.business.service;

import com.ho.business.entity.MessageInfoVo;
import com.ho.business.vo.req.MessageInfoReqVo;

import java.util.List;
import java.util.Map;

public interface MessageInfoService {

    MessageInfoVo modifyMessageInfo(MessageInfoReqVo messageInfoVo);

    void deleteMessage(List<String> messageId);

    List<MessageInfoReqVo> selectMessageInfo(Map<String,Object> condition);

    void updateMessageReadStatus(Map<String,Object> condition);

    void jobUpdateMessageInfo();

}
